
Redmine - Defect #32625

mysql2-0.3.21/mysql2/mysql2.so: [BUG] Segmentation fault

2019-12-12 08:58 - Uttam Sapkota

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.0.4

Description

/home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake/alt_system.rb:32: Use RbConfig instead of

obsolete and deprecated Config.

=> Booting WEBrick

=> Rails 3.2.6 application starting in development on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server

/home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1/gems/mysql2-0.3.21/lib/mysql2/mysql2.so: [BUG] Segmentation fault

ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-linux]

-- Control frame information -----------------------------------------------

c:0084 p:-11842089608056 s:0288 b:0288 l:000287 d:000287 TOP

c:0083 p:---- s:0286 b:0286 l:000285 d:000285 CFUNC :require

c:0082 p:0010 s:0282 b:0282 l:000274 d:000281 BLOCK

/home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/lib/active_support/dependencies.rb:251

c:0081 p:0071 s:0280 b:0280 l:000279 d:000279 METHOD

/home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/lib/active_support/dependencies.rb:236

c:0080 p:0019 s:0275 b:0275 l:000274 d:000274 METHOD

/home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1/gems/activesupport-3.2.6/lib/active_support/dependencies.rb:251

c:0079 p:0333 s:0270 b:0270 l:000269 d:000269 TOP

/home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1/gems/mysql2-0.3.21/lib/mysql2.rb:31

c:0078 p:---- s:0267 b:0267 l:000266 d:000266 FINISH

Loaded script: script/rails

Process memory map:

562998756000-5629989b0000 r-xp 00000000 fd:01 7212562 /home/utsapkota/.rbenv/versions/1.9.3-p0/bin/ruby

562998bb0000-562998bb4000 r--p 0025a000 fd:01 7212562 /home/utsapkota/.rbenv/versions/1.9.3-p0/bin/ruby

562998bb4000-562998bb5000 rw-p 0025e000 fd:01 7212562 /home/utsapkota/.rbenv/versions/1.9.3-p0/bin/ruby

562998bb5000-562998bd1000 rw-p 00000000 00:00 0

56299a8aa000-56299cbf7000 rw-p 00000000 00:00 0 [heap]

7ff3ad896000-7ff3ad8ad000 r-xp 00000000 fd:01 22282483 /lib/x86_64-linux-gnu/libgcc_s.so.1

7ff3ad8ad000-7ff3adaac000 ---p 00017000 fd:01 22282483 /lib/x86_64-linux-gnu/libgcc_s.so.1

7ff3adaac000-7ff3adaad000 r--p 00016000 fd:01 22282483 /lib/x86_64-linux-gnu/libgcc_s.so.1

7ff3adaad000-7ff3adaae000 rw-p 00017000 fd:01 22282483 /lib/x86_64-linux-gnu/libgcc_s.so.1

7ff3adaae000-7ff3adc27000 r-xp 00000000 fd:01 23462387 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.25

7ff3adc27000-7ff3ade27000 ---p 00179000 fd:01 23462387 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.25

7ff3ade27000-7ff3ade31000 r--p 00179000 fd:01 23462387 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.25

7ff3ade31000-7ff3ade33000 rw-p 00183000 fd:01 23462387 /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.25

7ff3ade33000-7ff3ade37000 rw-p 00000000 00:00 0

7ff3ade37000-7ff3ae0f4000 r-xp 00000000 fd:01 23863875 /usr/local/lib/libcrypto.so.1.1

7ff3ae0f4000-7ff3ae2f3000 ---p 002bd000 fd:01 23863875 /usr/local/lib/libcrypto.so.1.1

7ff3ae2f3000-7ff3ae31e000 r--p 002bc000 fd:01 23863875 /usr/local/lib/libcrypto.so.1.1

7ff3ae31e000-7ff3ae320000 rw-p 002e7000 fd:01 23863875 /usr/local/lib/libcrypto.so.1.1

7ff3ae320000-7ff3ae324000 rw-p 00000000 00:00 0

7ff3ae324000-7ff3ae3ab000 r-xp 00000000 fd:01 23856883 /usr/local/lib/libssl.so.1.1

7ff3ae3ab000-7ff3ae5aa000 ---p 00087000 fd:01 23856883 /usr/local/lib/libssl.so.1.1

7ff3ae5aa000-7ff3ae5b2000 r--p 00086000 fd:01 23856883 /usr/local/lib/libssl.so.1.1

7ff3ae5b2000-7ff3ae5b7000 rw-p 0008e000 fd:01 23856883 /usr/local/lib/libssl.so.1.1

7ff3ae5b7000-7ff3ae8f3000 r-xp 00000000 fd:01 23462634 /usr/lib/x86_64-linux-gnu/libmysqlclient.so.20.3.15

7ff3ae8f3000-7ff3aeaf3000 ---p 0033c000 fd:01 23462634 /usr/lib/x86_64-linux-gnu/libmysqlclient.so.20.3.15

7ff3aeaf3000-7ff3aeaf7000 r--p 0033c000 fd:01 23462634 /usr/lib/x86_64-linux-gnu/libmysqlclient.so.20.3.15

7ff3aeaf7000-7ff3aeb69000 rw-p 00340000 fd:01 23462634 /usr/lib/x86_64-linux-gnu/libmysqlclient.so.20.3.15
7ff3b1eaf000-7ff3b20ea000 r-xp 00000000 fd:01 24007447 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libcrypto.so.1.0.0

7ff3b20ea000-7ff3b22ea000 ---p 0023b000 fd:01 24007447 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libcrypto.so.1.0.0

7ff3b22ea000-7ff3b2305000 r--p 0023b000 fd:01 24007447 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libcrypto.so.1.0.0

7ff3b2305000-7ff3b2311000 rw-p 00256000 fd:01 24007447 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libcrypto.so.1.0.0

7ff3b2311000-7ff3b2314000 rw-p 00000000 00:00 0

7ff3b2314000-7ff3b237c000 r-xp 00000000 fd:01 24007450 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libssl.so.1.0.0

7ff3b237c000-7ff3b257c000 ---p 00068000 fd:01 24007450 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libssl.so.1.0.0

7ff3b257c000-7ff3b2580000 r--p 00068000 fd:01 24007450 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libssl.so.1.0.0

7ff3b2580000-7ff3b2587000 rw-p 0006c000 fd:01 24007450 /home/utsapkota/.rubies/openssl-1.0.2s/lib/libssl.so.1.0.0

7ff3b2feb000-7ff3b30ec000 rw-p 00000000 00:00 0

7ff3b30ec000-7ff3b3b0d000 r--p 00000000 fd:01 23468655 /usr/lib/locale/locale-archive

7ff3b3b0d000-7ff3b3cf4000 r-xp 00000000 fd:01 22287053 /lib/x86_64-linux-gnu/libc-2.27.so

7ff3b3cf4000-7ff3b3ef4000 ---p 001e7000 fd:01 22287053 /lib/x86_64-linux-gnu/libc-2.27.so

7ff3b3ef4000-7ff3b3ef8000 r--p 001e7000 fd:01 22287053 /lib/x86_64-linux-gnu/libc-2.27.so

7ff3b3ef8000-7ff3b3efa000 rw-p 001eb000 fd:01 22287053 /lib/x86_64-linux-gnu/libc-2.27.so

7ff3b3efa000-7ff3b3efe000 rw-p 00000000 00:00 0

7ff3b3efe000-7ff3b409b000 r-xp 00000000 fd:01 22287116 /lib/x86_64-linux-gnu/libm-2.27.so

7ff3b409b000-7ff3b429a000 ---p 0019d000 fd:01 22287116 /lib/x86_64-linux-gnu/libm-2.27.so

7ff3b429a000-7ff3b429b000 r--p 0019c000 fd:01 22287116 /lib/x86_64-linux-gnu/libm-2.27.so

7ff3b429b000-7ff3b429c000 rw-p 0019d000 fd:01 22287116 /lib/x86_64-linux-gnu/libm-2.27.so

7ff3b429c000-7ff3b42a5000 r-xp 00000000 fd:01 22287063 /lib/x86_64-linux-gnu/libcrypt-2.27.so

7ff3b42a5000-7ff3b44a4000 ---p 00009000 fd:01 22287063 /lib/x86_64-linux-gnu/libcrypt-2.27.so

7ff3b44a4000-7ff3b44a5000 r--p 00008000 fd:01 22287063 /lib/x86_64-linux-gnu/libcrypt-2.27.so

7ff3b44a5000-7ff3b44a6000 rw-p 00009000 fd:01 22287063 /lib/x86_64-linux-gnu/libcrypt-2.27.so

7ff3b44a6000-7ff3b44d4000 rw-p 00000000 00:00 0

7ff3b44d4000-7ff3b44d7000 r-xp 00000000 fd:01 22287076 /lib/x86_64-linux-gnu/libdl-2.27.so

7ff3b44d7000-7ff3b46d6000 ---p 00003000 fd:01 22287076 /lib/x86_64-linux-gnu/libdl-2.27.so

7ff3b46d6000-7ff3b46d7000 r--p 00002000 fd:01 22287076 /lib/x86_64-linux-gnu/libdl-2.27.so

7ff3b46d7000-7ff3b46d8000 rw-p 00003000 fd:01 22287076 /lib/x86_64-linux-gnu/libdl-2.27.so

7ff3b46d8000-7ff3b46df000 r-xp 00000000 fd:01 22287194 /lib/x86_64-linux-gnu/librt-2.27.so

7ff3b46df000-7ff3b48de000 ---p 00007000 fd:01 22287194 /lib/x86_64-linux-gnu/librt-2.27.so

7ff3b48de000-7ff3b48df000 r--p 00006000 fd:01 22287194 /lib/x86_64-linux-gnu/librt-2.27.so

7ff3b48df000-7ff3b48e0000 rw-p 00007000 fd:01 22287194 /lib/x86_64-linux-gnu/librt-2.27.so

7ff3b48e0000-7ff3b48fa000 r-xp 00000000 fd:01 22287186 /lib/x86_64-linux-gnu/libpthread-2.27.so

7ff3b48fa000-7ff3b4af9000 ---p 0001a000 fd:01 22287186 /lib/x86_64-linux-gnu/libpthread-2.27.so

7ff3b4af9000-7ff3b4afa000 r--p 00019000 fd:01 22287186 /lib/x86_64-linux-gnu/libpthread-2.27.so

7ff3b4afa000-7ff3b4afb000 rw-p 0001a000 fd:01 22287186 /lib/x86_64-linux-gnu/libpthread-2.27.so

7ff3b4afb000-7ff3b4aff000 rw-p 00000000 00:00 0

7ff3b4aff000-7ff3b4b26000 r-xp 00000000 fd:01 22287025 /lib/x86_64-linux-gnu/ld-2.27.so

7ff3b4bad000-7ff3b4bb2000 rw-p 00000000 00:00 0

7ff3b4bb2000-7ff3b4bf7000 r-xp 00000000 fd:01 17826318 /opt/eset/esets/lib/libesets_pac.so

7ff3b4bf7000-7ff3b4cf6000 ---p 00045000 fd:01 17826318 /opt/eset/esets/lib/libesets_pac.so

7ff3b4cf6000-7ff3b4cf9000 rw-p 00044000 fd:01 17826318 /opt/eset/esets/lib/libesets_pac.so

7ff3b4cf9000-7ff3b4d0e000 rw-p 00000000 00:00 0

7ff3b4d1a000-7ff3b4d21000 r--s 00000000 fd:01 23727277 /usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache

7ff3b4d21000-7ff3b4d22000 ---p 00000000 00:00 0

7ff3b4d22000-7ff3b4d26000 rw-p 00000000 00:00 0

7ff3b4d26000-7ff3b4d27000 r--p 00027000 fd:01 22287025 /lib/x86_64-linux-gnu/ld-2.27.so

7ff3b4d27000-7ff3b4d28000 rw-p 00028000 fd:01 22287025 /lib/x86_64-linux-gnu/ld-2.27.so

7ff3b4d28000-7ff3b4d29000 rw-p 00000000 00:00 0

7ffe9ca5b000-7ffe9ca7d000 rw-p 00000000 00:00 0 [stack]

7ffe9cb79000-7ffe9cb7c000 r--p 00000000 00:00 0 [vvar]

7ffe9cb7c000-7ffe9cb7d000 r-xp 00000000 00:00 0 [vdso]

ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

Aborted (core dumped)

RubyGems Environment:

- RUBYGEMS VERSION: 1.8.23

- RUBY VERSION: 1.9.3 (2011-10-30 patchlevel 0) [x86_64-linux]

- INSTALLATION DIRECTORY: /home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1

- RUBY EXECUTABLE: /home/utsapkota/.rbenv/versions/1.9.3-p0/bin/ruby
- EXECUTABLE DIRECTORY: /home/utsapkota/.rbenv/versions/1.9.3-p0/bin

- RUBYGEMS PLATFORMS:

- ruby

- x86_64-linux

- GEM PATHS:

- /home/utsapkota/.rbenv/versions/1.9.3-p0/lib/ruby/gems/1.9.1

- /home/utsapkota/.gem/ruby/1.9.1

- GEM CONFIGURATION:

- :update_sources => true

- :verbose => true

- :benchmark => false

- :backtrace => false

- :bulk_threshold => 1000

- :sources => ["http://rubygems.org/"]

- "install" => "--no-rdoc --no-ri"

- "update" => "--no-rdoc --no-ri"

- REMOTE SOURCES:

- http://rubygems.org/

LOCAL GEMS **

actionmailer (3.2.6)

actionpack (3.2.6)

activemodel (3.2.6)

activerecord (3.2.6)

activerecord-mysql2-adapter (0.0.3)

activeresource (3.2.6)

activesupport (3.2.6)

arel (3.0.3)

bigdecimal (1.1.0)

builder (3.0.0)

bundler (1.17.3)

coderay (1.0.9)

erubis (2.7.0)

hike (1.2.3)

i18n (0.6.11)

io-console (0.3)

journey (1.0.4)

json (1.8.6, 1.5.4)

mail (2.4.4)

metaclass (0.0.4)

mime-types (1.25.1)

minitest (2.5.1)

mocha (0.12.3)

multi_json (1.14.1)

mysql (2.9.1, 2.8.1)

mysql2 (0.4.10, 0.3.21, 0.3.19, 0.3.17, 0.3.16, 0.3.13, 0.3.12b6, 0.3.11, 0.3.10)

net-ldap (0.3.1)

polyglot (0.3.5)

power_assert (1.1.5)

prototype-rails (3.2.1)

rack (1.4.7)

rack-cache (1.2)

rack-openid (1.4.2)

rack-ssl (1.3.4)

rack-test (0.6.3)

rails (3.2.6)

railties (3.2.6)

rake (0.9.2.2, 0.8.7)

rdoc (3.12.2, 3.9.4)

ruby-openid (2.1.8)

shoulda (2.11.3)

sprockets (2.1.4)

test-unit (3.3.4)

thor (0.20.3)

tilt (1.4.1)

treetop (1.4.15)

tzinfo (0.3.56)
yard (0.9.20)

History

#1 - 2020-05-19 06:08 - Go MAEDA

- Status changed from New to Needs feedback

Could you try the latest version of Redmine to see if the issue is resolved?

Ruby 1.9.3 and mysql2 0.3.21 are very old. And it seems that you are using Redmine 2.x, but now it is too old and no longer supported. The version

of Redmine that is currently being maintained is 4.0 or later.

#2 - 2020-09-24 10:45 - Go MAEDA

- Category deleted (Issues)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Please use Redmine 4.0 or later.
